package com.ruoyi.project.sems.safecheck.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.safecheck.mapper.TSpecDailycheckMapper;
import com.ruoyi.project.sems.safecheck.domain.TSpecDailycheck;
import com.ruoyi.project.sems.safecheck.service.ITSpecDailycheckService;

/**
 * 每日安全检查Service业务层处理
 *
 * @author Li
 * @date 2023-08-17
 */
@Service
public class TSpecDailycheckServiceImpl implements ITSpecDailycheckService
{
    @Autowired
    private TSpecDailycheckMapper tSpecDailycheckMapper;

    /**
     * 查询每日安全检查
     *
     * @param id 每日安全检查ID
     * @return 每日安全检查
     */
    @Override
    public TSpecDailycheck selectTSpecDailycheckById(Long id)
    {
        return tSpecDailycheckMapper.selectTSpecDailycheckById(id);
    }

    /**
     * 查询每日安全检查列表
     *
     * @param tSpecDailycheck 每日安全检查
     * @return 每日安全检查
     */
    @Override
    public List<TSpecDailycheck> selectTSpecDailycheckList(TSpecDailycheck tSpecDailycheck)
    {
        return tSpecDailycheckMapper.selectTSpecDailycheckList(tSpecDailycheck);
    }

    /**
     * 新增每日安全检查
     *
     * @param tSpecDailycheck 每日安全检查
     * @return 结果
     */
    @Override
    public int insertTSpecDailycheck(TSpecDailycheck tSpecDailycheck)
    {
        return tSpecDailycheckMapper.insertTSpecDailycheck(tSpecDailycheck);
    }

    /**
     * 修改每日安全检查
     *
     * @param tSpecDailycheck 每日安全检查
     * @return 结果
     */
    @Override
    public int updateTSpecDailycheck(TSpecDailycheck tSpecDailycheck)
    {
        return tSpecDailycheckMapper.updateTSpecDailycheck(tSpecDailycheck);
    }

    /**
     * 批量删除每日安全检查
     *
     * @param ids 需要删除的每日安全检查ID
     * @return 结果
     */
    @Override
    public int deleteTSpecDailycheckByIds(Long[] ids)
    {
        return tSpecDailycheckMapper.deleteTSpecDailycheckByIds(ids);
    }

    /**
     * 删除每日安全检查信息
     *
     * @param id 每日安全检查ID
     * @return 结果
     */
    @Override
    public int deleteTSpecDailycheckById(Long id)
    {
        return tSpecDailycheckMapper.deleteTSpecDailycheckById(id);
    }
}
